Description

Currently the value map widget re-sorts the values alphabetically.  Often I have values that have a logical/expected order that is not

alphabetical.  A check box to keep the order that they are entered in the widget properties dialog would be excellent.

History

#1 - 2016-06-19 12:01 AM - Matthias Kuhn

- Status changed from Open to Feedback

Does defining the keys (which are hidden from the UI) in a sortable format not work for you?

#2 - 2016-06-20 12:16 PM - Andrew McAninch

That might work, but I'm not sure what you are asking.  What keys and where can I define them?

#3 - 2016-06-26 10:26 AM - Matthias Kuhn

- Status changed from Feedback to Open

Sorry, I was confusing terminology.

In the Value Relation widget we have the terms Key => Value which conform to the terms Value => Description in the Value Map.

I can confirm the request as specified in the original text.

#4 - 2016-06-27 03:23 PM - Andrew McAninch

Ahh I get it, thanks for clarifying.  No that doesn't really work.  For example, one field I'm working with is a stream classification system with letter codes(in

expected order): 'S', F', 'Np', 'Ns', 'X' and 'U' as well as 'NOCH' and I need to use those codes as the key/"Value".  My workaround right now is to add

numbers in the "Description" column, so the user sees: '1) S', '2) F', etc  which sort of works as a workaround but is also problematic since there is a slightly

different(earlier) classification system that uses some of those numbers.  Thanks,

#5 - 2017-05-01 12:46 AM - Giovanni Manghi

- Easy fix? set to No

#6 - 2017-09-22 10:05 AM - Jürgen Fischer

- Category set to Unknown
#7 - 2018-01-29 05:03 AM - Nyall Dawson

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Fixed in 3.0 - the value map respects the order that the values are defined in the widget config.
